Bug 241713 - spufs mount fails.
spufs mount fails.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-29 14:37 EDT by David Woodhouse
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:16:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-05-29 14:37:11 EDT
The 'spufs' virtual file system fails to mount at boot time, when selinux is in
'enforcing' mode:


avc: denied { mount } for pid=1073 comm="mount" name="/" dev=spufs ino=5891
scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:unlabeled_t:s0
class=filesystem
avc: denied { mount } for pid=1073 comm="mount" name="/" dev=spufs ino=5892
scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:unlabeled_t:s0
class=filesystem
mount: cannot mount block device spufs read-only

I can mount it later, as root:
[root@ps3 tmp]# grep spu /etc/fstab 
spufs                   /spu                    spufs   defaults        0 0
[root@ps3 tmp]# mount /spu
[root@ps3 tmp]# dmesg | tail -1
SELinux: initialized (dev spufs, type spufs), not configured for labeling

Should I be fixing the spufs kernel code? If so, how?
Comment 1 Daniel Walsh 2007-05-29 23:16:47 EDT
Fixed in selinux-policy-2.6.4-11.fc7
Comment 2 Daniel Walsh 2007-08-22 10:16:49 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.